petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGetTime

Gets the time of the most recently completed step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetTime(TS ts,PetscReal *t)

Not Collective Many br

### Input Parameter

ts -the TS context obtained from TSCreate() Many br

### Output Parameter

t -the current time. This time may not corresponds to the final time set with TSSetDuration(), use TSGetSolveTime(). Many br

Many br

### Note

When called during time step evaluation (e.g. during residual evaluation or via hooks set using TSSetPreStep(), Many brTSSetPreStage(), TSSetPostStage(), or TSSetPostStep()), the time is the time at the start of the step being evaluated. Many br

### See Also

TSSetInitialTimeStep(), TSGetTimeStep(), TSGetSolveTime()

### Keywords

TS, get, time

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex17.c.html